## skrooge 0.7.3.2

=== CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE ROOT ::..")

PROJECT(skrooge)

FIND_PROGRAM(SKG_BASH bash)
MARK_AS_ADVANCED(SKG_BASH)

FIND_PACKAGE(KDE4 REQUIRED)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)
MESSAGE(STATUS "     KDE4 support enabled : ${KDE4_DATA_DIR}")
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

SET(VERSION 0.7.4)
SET(SOVERSION 0)
SET(UPDATE_TYPE "svn")
SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${skrooge_SOURCE_DIR}/cmake/modules )

IF (CMAKE_BUILD_TYPE)
ELSE (CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE profile)
#"release": optimized for speed, no debug symbols or debug messages
#"relwithdebinfo": optimized for speed, debug symbols for backtraces
#"debug": optimized, but debuggable
#"debugfull": no optimisations, full debug support
#"profile": adds coverage flags to debugfull
#"none": the build flags are manually set using the CMAKE_CXX_FLAGS option.
ENDIF (CMAKE_BUILD_TYPE)

SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
SET(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/lib)
OPTION(SKG_BUILD_TEST "Build the test" ON)
MESSAGE( STATUS "     PROJECT_SOURCE_DIR  : " ${PROJECT_SOURCE_DIR} )
MESSAGE( STATUS "     PROJECT_BINARY_DIR  : " ${PROJECT_BINARY_DIR} )
MESSAGE( STATUS "     BUILD_DIR           : " ${BUILD_DIR} )
MESSAGE( STATUS "     CMAKE_BUILD_TYPE    : " ${CMAKE_BUILD_TYPE} )
MESSAGE( STATUS "     CMAKE_INSTALL_PREFIX: " ${CMAKE_INSTALL_PREFIX} )
IF(CMAKE_BUILD_TYPE="release")
  add_definitions(-DSKGNOTRACES) #To disable all traces  
  MESSAGE( STATUS "     All traces disabled")
ELSE(CMAKE_BUILD_TYPE="release")
  MESSAGE( STATUS "     Traces enabled")
ENDIF(CMAKE_BUILD_TYPE="release")
#add_definitions(-DSKGFULLTRACES) #To enable all traces
add_definitions(-DSKGVERSION=${VERSION})

cmake_minimum_required(VERSION 2.4)
if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
	${CMAKE_CURRENT_SOURCE_DIR}/skgbasemodeler/
	${CMAKE_CURRENT_SOURCE_DIR}/skgbasegui/
	${CMAKE_CURRENT_BINARY_DIR}/skgbasegui/
	${CMAKE_CURRENT_SOURCE_DIR}/skgbasemodelertest
	${CMAKE_CURRENT_SOURCE_DIR}/skgbankmodeler/
	${CMAKE_CURRENT_SOURCE_DIR}/skgbankgui
	${CMAKE_CURRENT_BINARY_DIR}/skgbankgui)

#Correction bug 207249 vvvv
#SET(CMAKE_CXX_FLAGS "-Wall" )
IF(CMAKE_COMPILER_IS_GNUCXX)
  SET(CMAKE_CXX_FLAGS "-Wall ${CMAKE_CXX_FLAGS}")
ENDIF(CMAKE_COMPILER_IS_GNUCXX)
#Correction bug 207249 ^^^^

#Default installation path
set(CMAKE_INSTALL_PREFIX ${BUILD_DIR})

# Win32 specific configuration
IF(WIN32)
    ADD_DEFINITIONS(-DSKG_PLATFORM_WIN32)
    IF(CMAKE_COMPILER_IS_GNUCXX)
	SET(CMAKE_SHARED_LINKER_FLAGS "-Wl,--enable-runtime-pseudo-reloc -Wl,--export-all-symbols" CACHE STRING "" FORCE)
    ENDIF(CMAKE_COMPILER_IS_GNUCXX)
ELSE(WIN32)
#To solve Bug 209912:"ldd -u <library>""
#doesnt work on MACOS, must be done manually		SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--as-needed" CACHE STRING "" FORCE)
ENDIF(WIN32)
MESSAGE(STATUS "     CMAKE_SHARED_LINKER_FLAGS : ${CMAKE_SHARED_LINKER_FLAGS}")


#ADD_SUBDIRECTORY(skg_dataengine) #<-- Experimental
#ADD_SUBDIRECTORY(skg_dashboard2) #<-- Experimental plugin
#ADD_SUBDIRECTORY(skgapplets) #<-- Experimental plugin
#ADD_SUBDIRECTORY(skgmyapplitest) #<-- Experimental plugin, do not activate

#ADD_SUBDIRECTORY
ADD_SUBDIRECTORY(skgbasemodeler)
ADD_SUBDIRECTORY(skgbankmodeler)
ADD_SUBDIRECTORY(skgbasegui)
ADD_SUBDIRECTORY(skgbankgui)

#generic plugins
ADD_SUBDIRECTORY(skg_advice)
ADD_SUBDIRECTORY(skg_bookmark)
ADD_SUBDIRECTORY(skg_dashboard)
ADD_SUBDIRECTORY(skg_debug)
ADD_SUBDIRECTORY(skg_delete)
ADD_SUBDIRECTORY(skg_selectall)
ADD_SUBDIRECTORY(skg_file)
ADD_SUBDIRECTORY(skg_print)
ADD_SUBDIRECTORY(skg_undoredo)
ADD_SUBDIRECTORY(skg_properties)

#bank plugins
ADD_SUBDIRECTORY(skrooge_bank)
ADD_SUBDIRECTORY(skrooge_calculator)
ADD_SUBDIRECTORY(skrooge_categories)
ADD_SUBDIRECTORY(skrooge_importexport)
ADD_SUBDIRECTORY(skrooge_monthly)
ADD_SUBDIRECTORY(skrooge_operation)
ADD_SUBDIRECTORY(skrooge_report)
ADD_SUBDIRECTORY(skrooge_scheduled)
ADD_SUBDIRECTORY(skrooge_search)
ADD_SUBDIRECTORY(skrooge_payee)
ADD_SUBDIRECTORY(skrooge_tracker)
ADD_SUBDIRECTORY(skrooge_unit)
ADD_SUBDIRECTORY(images)

IF(SKG_BUILD_TEST AND NOT WIN32)
	ADD_SUBDIRECTORY(skgbasemodelertest)
	ADD_SUBDIRECTORY(skgbankmodelertest)
	ADD_SUBDIRECTORY(skgbaseguitest)
	ADD_SUBDIRECTORY(skgbankguitest)
	ADD_SUBDIRECTORY(skroogetest)
ENDIF(SKG_BUILD_TEST AND NOT WIN32)

#Main application
ADD_SUBDIRECTORY(skrooge)

CONFIGURE_FILE(scripts/addNewPlugin.sh.in scripts/addNewPlugin.sh @ONLY)

#TESTS
CONFIGURE_FILE(${PROJECT_SOURCE_DIR}/tests/scripts/init.sh.in ${PROJECT_SOURCE_DIR}/tests/scripts/init.sh @ONLY)
ENABLE_TESTING()
INCLUDE(Dart)
INCLUDE(CTest)

#DOXYGEN
CONFIGURE_FILE(scripts/Doxyfile.in scripts/Doxyfile @ONLY)
ADD_CUSTOM_TARGET(apidox "doxygen" "scripts/Doxyfile" DEPENDS "scripts/Doxyfile.in")

#KRAZY
CONFIGURE_FILE(scripts/krazy.sh.in scripts/krazy.sh @ONLY)
ADD_CUSTOM_TARGET(krazy "scripts/krazy.sh")

#GENERATE_ICONS
CONFIGURE_FILE(scripts/generateIcons.sh.in scripts/generateIcons.sh @ONLY)

#LCOV
CONFIGURE_FILE(scripts/removeTmpFile.sh.in scripts/removeTmpFile.sh @ONLY)
CONFIGURE_FILE(scripts/lcov.sh.in scripts/lcov.sh @ONLY)
ADD_CUSTOM_TARGET(lcov "scripts/lcov.sh")
ADD_CUSTOM_TARGET(lcovclean "scripts/lcov.sh" "-b")

#FULL
ADD_CUSTOM_TARGET(full "scripts/full.sh")

#PACKAGING
INCLUDE(InstallRequiredSystemLibraries)
SET(CPACK_SET_DESTDIR TRUE)
SET(CPACK_GENERATOR "DEB")
SET(CPACK_PACKAGE_NAME ${CMAKE_PROJECT_NAME})
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Personal finance management tool for KDE4, with the aim of being highly intuitive, while providing powerful functions such as reporting (including graphics), persistent Undo/Redo, encryption, and much more...")
SET(CPACK_PACKAGE_VENDOR "Stephane MANKOWSKI / Guillaume DE BURE")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/CHANGELOG")
SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
SET(CPACK_PACKAGE_VERSION_MAJOR "0")
SET(CPACK_PACKAGE_VERSION_MINOR "7")
SET(CPACK_PACKAGE_VERSION_PATCH "4")
SET(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${VERSION}")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${VERSION}-dev")
SET(CPACK_INSTALL_CMAKE_PROJECTS "${CMAKE_BINARY_DIR};skrooge;ALL;/")

SET(CPACK_SOURCE_GENERATOR "TGZ")
SET(CPACK_SOURCE_IGNORE_FILES
"${CMAKE_BINARY_DIR}/bin"
"${CMAKE_BINARY_DIR}/lib"
"${CMAKE_BINARY_DIR}/cov"
"${CMAKE_BINARY_DIR}/_CPack*"
"${CMAKE_BINARY_DIR}/html"
"${CMAKE_BINARY_DIR}/lib"
"${CMAKE_BINARY_DIR}/log"
"${CMAKE_BINARY_DIR}/Testing"
".svn"
"CMake*"
"Makefile"
"output"
".*.cmake"
".*~"
".*.moc"
".*.gz"
".*.deb"
".*.rpm"
"ui.*.h"
"Dart.*"
"install_manifest.txt"
)

SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libc6 (>= 2.4), kdebase-runtime, kdebase-runtime-data, libqca2 (>= 2.0.0), libqt4-core (>= 4.5), libqt4-gui (>= 4.5), libqt4-sql-sqlite, libofx4")
SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "stephane@mankowski.fr")
SET(CPACK_DEBIAN_PACKAGE_SECTION "financial")


#SET(CPACK_RPM_PACKAGE_LICENSE "GPL")
#SET(CPACK_RPM_PACKAGE_DEPENDS "kdebase4-runtime, libqtcore4 (>= 4.4.1), libqtgui4 (>= 4.4.1), qt4-database-plugin-sqlite-lib (>= 4.4.1)")
#SET(CPACK_RPM_PACKAGE_SECTION "financial")
#SET(CPACK_RPM_PACKAGE_VERSION ${VERSION})
#SET(CPACK_RPM_PACKAGE_ARCHITECTURE "i586")
#SET(CPACK_RPM_PACKAGE_RELEASE "1mdv2009.0")

#SET(CPACK_STRIP_FILES "bin/skrooge")
#SET(CPACK_SOURCE_STRIP_FILES "")
#SET(CPACK_PACKAGE_EXECUTABLES "skrooge" "skrooge")
INCLUDE(CPack)

find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )
add_subdirectory( doc-translations )
add_subdirectory( doc )

=== doc-translations/CMakeLists.txt ===
add_subdirectory( es_skrooge/skrooge )
add_subdirectory( pt_skrooge/skrooge )
add_subdirectory( pt_BR_skrooge/skrooge )
add_subdirectory( sv_skrooge/skrooge )
add_subdirectory( uk_skrooge/skrooge )

=== po/CMakeLists.txt ===
add_subdirectory( bg )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( ko )
add_subdirectory( lt )
add_subdirectory( ms )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_TW )

=== skg_advice/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_ADVICE ::..")

PROJECT(plugin_advice)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_advice_SRCS
	skgadviceplugin.cpp
	skgadviceboardwidget.cpp
	skgtipofdayboardwidget.cpp
)

kde4_add_ui_files(skg_advice_SRCS skgadviceboardwidget.ui skgtipofdayboardwidget.ui)

kde4_add_plugin(skg_advice ${skg_advice_SRCS})
TARGET_LINK_LIBRARIES(skg_advice ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skg_advice DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-advice.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_advice.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_advice )

kde4_install_icons(${ICON_INSTALL_DIR})

=== skg_dashboard/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_DASHBOARD ::..")

PROJECT(plugin_dashboard)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_dashboard_SRCS
	skgdashboardplugin.cpp
	skgdashboardpluginwidget.cpp)

kde4_add_ui_files(skg_dashboard_SRCS skgdashboardpluginwidget_base.ui skgdashboardpluginwidget_pref.ui skgdashboardpluginwidget_pref.ui)
kde4_add_kcfg_files(skg_dashboard_SRCS skgdashboard_settings.kcfgc )

kde4_add_plugin(skg_dashboard ${skg_dashboard_SRCS})
TARGET_LINK_LIBRARIES(skg_dashboard ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skg_dashboard DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-dashboard.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_dashboard.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_dashboard )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgdashboard_settings.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )

kde4_install_icons(${ICON_INSTALL_DIR})

=== skg_dashboard2/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_DASHBOARD2 ::..")

PROJECT(plugin_dashboard2)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui ${CMAKE_SOURCE_DIR}/skgdataengine
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_dashboard2_SRCS
	skgdashboard2plugin.cpp
	skgdashboard2pluginwidget.cpp
	skgdashboard2applet.cpp)

kde4_add_ui_files(skg_dashboard2_SRCS skgdashboard2pluginwidget_base.ui skgdashboard2pluginwidget_pref.ui)
kde4_add_kcfg_files(skg_dashboard2_SRCS skgdashboard2_settings.kcfgc )

kde4_add_plugin(skg_dashboard2 ${skg_dashboard2_SRCS})
TARGET_LINK_LIBRARIES(skg_dashboard2 ${KDE4_KPARTS_LIBS} ${KDE4_PLASMA_LIBS} skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skg_dashboard2 DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-dashboard2.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_dashboard2.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_dashboard2 )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgdashboard2_settings.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
INSTALL(FILES skrooge-default-layoutrc DESTINATION ${DATA_INSTALL_DIR}/skg_dashboard2)

kde4_install_icons(${ICON_INSTALL_DIR})

=== skg_dataengine/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_DATAENGINE ::..")

PROJECT( plugin_dataengine )


INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
)


LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_dataengine_SRCS skgdataengineplugin.cpp skgdataengine.cpp)


kde4_add_plugin(skg_dataengine ${skg_dataengine_SRCS})
TARGET_LINK_LIBRARIES(skg_dataengine ${KDE4_KDECORE_LIBS} ${KDE4_PLASMA_LIBS} ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skg_dataengine DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-dataengine.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_dataengine.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_dataengine )

=== skg_debug/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_DEBUG ::..")

PROJECT(plugin_debug)


INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_debug_SRCS skgdebugplugin.cpp skgdebugpluginwidget.cpp)

kde4_add_ui_files(skg_debug_SRCS skgdebugpluginwidget_base.ui)

kde4_add_plugin(skg_debug ${skg_debug_SRCS})
TARGET_LINK_LIBRARIES(skg_debug ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui )

########### install files ###############
INSTALL(TARGETS skg_debug DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-debug.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_debug.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_debug )

=== skgapplets/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_DASHBOARD2 APPLETS ::..")

PROJECT(skg_applets)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

add_subdirectory(advice)
add_subdirectory(alarm)
add_subdirectory(bank)
add_subdirectory(unit)
add_subdirectory(account)
add_subdirectory(calculator)
add_subdirectory(operation)
add_subdirectory(file)
add_subdirectory(highlightedoperation)
add_subdirectory(scheduledoperation)

=== skgbankgui/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE SKGBANKGUI ::..")

PROJECT(SKGBANKGUI)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui ${CMAKE_SOURCE_DIR}/skgbankmodeler
${CMAKE_BINARY_DIR}/skgbasegui
)
LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skgbankgui_SRCS
   skgobjectmodel.cpp
   skgquerycreatordesignerplugin.cpp
   skgquerycreator.cpp
   skgpropertyeditor.cpp
   skgprocesscreator.cpp
   skgbkwidgetcollectiondesignerplugin.cpp
   skgpredicatcreator.cpp
   skgpredicatcreatordesignerplugin.cpp
   skgquerydelegate.cpp
   skgunitcombobox.cpp
   skgunitcomboboxdesignerplugin.cpp
 )

kde4_add_ui_files(skgbankgui_SRCS skgquerycreator.ui skgpropertyeditor.ui skgprocesscreator.ui)

KDE4_ADD_LIBRARY(skgbankgui SHARED ${skgbankgui_SRCS})

TARGET_LINK_LIBRARIES(skgbankgui ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} skgbankmodeler skgbasemodeler skgbasegui)
SET_TARGET_PROPERTIES( skgbankgui PROPERTIES VERSION ${VERSION} SOVERSION ${SOVERSION} )

########### install files ###############
INSTALL(TARGETS skgbankgui ${INSTALL_TARGETS_DEFAULT_ARGS}  )
IF(WIN32)
INSTALL(TARGETS skgbankgui LIBRARY ARCHIVE DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )
ELSE(WIN32)
INSTALL(TARGETS skgbankgui LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )
ENDIF(WIN32)
kde4_install_icons(${ICON_INSTALL_DIR})

=== skgbankguitest/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE SKGBANKGUITEST ::..")

PROJECT(SKBBASEMODELERTEST)

ADD_DEFINITIONS(-DQT_GUI_LIB)
LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})
INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbankmodeler ${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbankgui ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui ${CMAKE_BINARY_DIR}/skgbankgui
)

#Make executables
ADD_EXECUTABLE(skgtestpredicatcreator skgtestpredicatcreator.cpp)

QT4_AUTOMOC(skgtestpredicatcreator.cpp)

TARGET_LINK_LIBRARIES(skgtestpredicatcreator ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} skgbasemodeler skgbankmodeler skgbankgui skgbasegui)

#Add test
ENABLE_TESTING()
ADD_TEST(skgtestpredicatcreator ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestpredicatcreator.sh)

INCLUDE(CTest)

=== skgbankmodeler/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE SKGBANKMODELER ::..")

PROJECT(SKGBANKMODELER)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

#Correction bug 223848 vvvv
#FIND_PACKAGE( LibOfx REQUIRED )
IF(WIN32)
    SET(LIBOFX_FOUND FALSE)
ELSE(WIN32)
    FIND_PACKAGE( LibOfx )
ENDIF(WIN32)

IF(LIBOFX_FOUND)
    INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${LIBOFX_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/skgbasemodeler)
ELSE(LIBOFX_FOUND)
    INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${CMAKE_SOURCE_DIR}/skgbasemodeler)
ENDIF(LIBOFX_FOUND)
#Correction bug 223848 ^^^^

SET(skgbankmodeler_SRCS
   skgbankobject.cpp
   skgaccountobject.cpp
   skgoperationobject.cpp
   skgrecurrentoperationobject.cpp
   skgtrackerobject.cpp
   skgpayeeobject.cpp
   skgsuboperationobject.cpp
   skgcategoryobject.cpp
   skgunitobject.cpp
   skgunitvalueobject.cpp
   skgdocumentbank.cpp
   skgimportexportmanager.cpp
   skgimportskg.cpp
   skgimportkmy.cpp
   skgimportgnc.cpp
   skgimportgsb.cpp
   skgimportxhb.cpp
   skgruleobject.cpp
   skginterestobject.cpp
 )

#build a shared library
KDE4_ADD_LIBRARY(skgbankmodeler SHARED ${skgbankmodeler_SRCS})

#need to link to some other libraries ? just add them here
#Correction bug 223848 vvvv
TARGET_LINK_LIBRARIES(skgbankmodeler ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY} ${QT_QTSQL_LIBRARY} skgbasemodeler)
IF(LIBOFX_FOUND)
MESSAGE( STATUS "OFX found. OFX support enabled")
TARGET_LINK_LIBRARIES(skgbankmodeler ${LIBOFX_LIBRARIES})
ADD_DEFINITIONS(-DSKG_ENABLE_OFX)
ELSE(LIBOFX_FOUND)
MESSAGE( STATUS "OFX not found. Install OFX library to enable OFX support")
ENDIF(LIBOFX_FOUND)
#Correction bug 223848 ^^^^

IF(MSVC)
    TARGET_LINK_LIBRARIES(skgbankmodeler $ENV{KDEROOT}/lib/sp133.lib $ENV{KDEROOT}/lib/libiconv-2.lib)
ENDIF(MSVC)
SET_TARGET_PROPERTIES( skgbankmodeler PROPERTIES VERSION ${VERSION} SOVERSION ${SOVERSION} )

########### install files ###############
INSTALL(TARGETS skgbankmodeler ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
skrooge (0.7.3.2-1ubuntu1) maverick; urgency=low

  * Add kubuntu_01_arm_compile_fix.diff to fix double vs. float issues on
    armel architectures when using qreal that cause FTBFS on arm

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 30 Sep 2010 22:51:48 -0400

skrooge (0.7.3.2-1) experimental; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Wed, 22 Sep 2010 06:44:06 +1000

## skrooge 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,9 +11,9 @@
 MESSAGE(STATUS "     KDE4 support enabled : ${KDE4_DATA_DIR}")
 add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 
-SET(VERSION 0.7.4)
+SET(SKG_VERSION "0.8.1")
+SET(SKG_BETA "")
 SET(SOVERSION 0)
-SET(UPDATE_TYPE "svn")
 SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${skrooge_SOURCE_DIR}/cmake/modules )
 
 IF (CMAKE_BUILD_TYPE)
@@ -36,18 +36,19 @@
 MESSAGE( STATUS "     CMAKE_BUILD_TYPE    : " ${CMAKE_BUILD_TYPE} )
 MESSAGE( STATUS "     CMAKE_INSTALL_PREFIX: " ${CMAKE_INSTALL_PREFIX} )
 IF(CMAKE_BUILD_TYPE="release")
-  add_definitions(-DSKGNOTRACES) #To disable all traces  
+  add_definitions(-DSKGNOTRACES) #To disable all traces
   MESSAGE( STATUS "     All traces disabled")
 ELSE(CMAKE_BUILD_TYPE="release")
   MESSAGE( STATUS "     Traces enabled")
 ENDIF(CMAKE_BUILD_TYPE="release")
 #add_definitions(-DSKGFULLTRACES) #To enable all traces
-add_definitions(-DSKGVERSION=${VERSION})
-
-cmake_minimum_required(VERSION 2.4)
-if(COMMAND cmake_policy)
-	cmake_policy(SET CMP0003 NEW)
-endif(COMMAND cmake_policy)
+add_definitions(-DSKGVERSION=${SKG_VERSION})
+if(${KDE_VERSION} VERSION_LESS "4.6.0")
+    MESSAGE( STATUS "     enable KDE 4.5 API")
+else(${KDE_VERSION} VERSION_LESS "4.6.0")
+    MESSAGE( STATUS "     enable KDE 4.6 API")
+    add_definitions(-DSKGKDE46ENABLED=Y)
+endif(${KDE_VERSION} VERSION_LESS "4.6.0")
 
 include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
 	${CMAKE_CURRENT_SOURCE_DIR}/skgbasemodeler/
@@ -106,6 +107,7 @@
 
 #bank plugins
 ADD_SUBDIRECTORY(skrooge_bank)
+ADD_SUBDIRECTORY(skrooge_budget)
 ADD_SUBDIRECTORY(skrooge_calculator)
 ADD_SUBDIRECTORY(skrooge_categories)
 ADD_SUBDIRECTORY(skrooge_importexport)
@@ -118,6 +120,11 @@
 ADD_SUBDIRECTORY(skrooge_tracker)
 ADD_SUBDIRECTORY(skrooge_unit)
 ADD_SUBDIRECTORY(images)
+IF(WIN32)
+    MESSAGE( STATUS "     Doc disabled on windows")
+ELSE(WIN32)
+    ADD_SUBDIRECTORY(doc)
+ENDIF(WIN32)
 
 IF(SKG_BUILD_TEST AND NOT WIN32)
 	ADD_SUBDIRECTORY(skgbasemodelertest)
@@ -139,15 +146,22 @@
 INCLUDE(CTest)
 
 #DOXYGEN
-CONFIGURE_FILE(scripts/Doxyfile.in scripts/Doxyfile @ONLY)
-ADD_CUSTOM_TARGET(apidox "doxygen" "scripts/Doxyfile" DEPENDS "scripts/Doxyfile.in")
+ADD_CUSTOM_TARGET(apidox "doxygen" "${PROJECT_SOURCE_DIR}/Doxyfile")
+
+#ASTYLE
+CONFIGURE_FILE(scripts/astyle.sh.in scripts/astyle.sh @ONLY)
+ADD_CUSTOM_TARGET(astyle "scripts/astyle.sh")
 
 #KRAZY
 CONFIGURE_FILE(scripts/krazy.sh.in scripts/krazy.sh @ONLY)
 ADD_CUSTOM_TARGET(krazy "scripts/krazy.sh")
 
-#GENERATE_ICONS
+#GENERATE ICONS
 CONFIGURE_FILE(scripts/generateIcons.sh.in scripts/generateIcons.sh @ONLY)
+
+#GENERATE SPLASH SCREEN
+CONFIGURE_FILE(scripts/generateSplash.sh.in scripts/generateSplash.sh @ONLY)
+ADD_CUSTOM_TARGET(splash "scripts/generateSplash.sh")
 
 #LCOV
 CONFIGURE_FILE(scripts/removeTmpFile.sh.in scripts/removeTmpFile.sh @ONLY)
@@ -158,66 +172,5 @@
 #FULL
 ADD_CUSTOM_TARGET(full "scripts/full.sh")
 
-#PACKAGING
-INCLUDE(InstallRequiredSystemLibraries)
-SET(CPACK_SET_DESTDIR TRUE)
-SET(CPACK_GENERATOR "DEB")
-SET(CPACK_PACKAGE_NAME ${CMAKE_PROJECT_NAME})
-SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Personal finance management tool for KDE4, with the aim of being highly intuitive, while providing powerful functions such as reporting (including graphics), persistent Undo/Redo, encryption, and much more...")
-SET(CPACK_PACKAGE_VENDOR "Stephane MANKOWSKI / Guillaume DE BURE")
-SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/CHANGELOG")
-SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
-SET(CPACK_PACKAGE_VERSION_MAJOR "0")
-SET(CPACK_PACKAGE_VERSION_MINOR "7")
-SET(CPACK_PACKAGE_VERSION_PATCH "4")
-SET(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${VERSION}")
-SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${VERSION}-dev")
-SET(CPACK_INSTALL_CMAKE_PROJECTS "${CMAKE_BINARY_DIR};skrooge;ALL;/")
-
-SET(CPACK_SOURCE_GENERATOR "TGZ")
-SET(CPACK_SOURCE_IGNORE_FILES
-"${CMAKE_BINARY_DIR}/bin"
-"${CMAKE_BINARY_DIR}/lib"
-"${CMAKE_BINARY_DIR}/cov"
-"${CMAKE_BINARY_DIR}/_CPack*"
-"${CMAKE_BINARY_DIR}/html"
-"${CMAKE_BINARY_DIR}/lib"
-"${CMAKE_BINARY_DIR}/log"
-"${CMAKE_BINARY_DIR}/Testing"
-".svn"
-"CMake*"
-"Makefile"
-"output"
-".*.cmake"
-".*~"
-".*.moc"
-".*.gz"
-".*.deb"
-".*.rpm"
-"ui.*.h"
-"Dart.*"
-"install_manifest.txt"
-)
-
-SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libc6 (>= 2.4), kdebase-runtime, kdebase-runtime-data, libqca2 (>= 2.0.0), libqt4-core (>= 4.5), libqt4-gui (>= 4.5), libqt4-sql-sqlite, libofx4")
-SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "stephane@mankowski.fr")
-SET(CPACK_DEBIAN_PACKAGE_SECTION "financial")
-
-
-#SET(CPACK_RPM_PACKAGE_LICENSE "GPL")
-#SET(CPACK_RPM_PACKAGE_DEPENDS "kdebase4-runtime, libqtcore4 (>= 4.4.1), libqtgui4 (>= 4.4.1), qt4-database-plugin-sqlite-lib (>= 4.4.1)")
-#SET(CPACK_RPM_PACKAGE_SECTION "financial")
-#SET(CPACK_RPM_PACKAGE_VERSION ${VERSION})
-#SET(CPACK_RPM_PACKAGE_ARCHITECTURE "i586")
-#SET(CPACK_RPM_PACKAGE_RELEASE "1mdv2009.0")
-
-#SET(CPACK_STRIP_FILES "bin/skrooge")
-#SET(CPACK_SOURCE_STRIP_FILES "")
-#SET(CPACK_PACKAGE_EXECUTABLES "skrooge" "skrooge")
-INCLUDE(CPack)
-
-find_package(Msgfmt REQUIRED)
-find_package(Gettext REQUIRED)
-add_subdirectory( po )
-add_subdirectory( doc-translations )
-add_subdirectory( doc )
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(el)
add_subdirectory(da)
add_subdirectory(ms)
add_subdirectory(pt_BR)
add_subdirectory(et)
add_subdirectory(pt)
add_subdirectory(bg)
add_subdirectory(hu)
add_subdirectory(it)
add_subdirectory(zh_TW)
add_subdirectory(fr)
add_subdirectory(ca)
add_subdirectory(cs)
add_subdirectory(ga)
add_subdirectory(eo)
add_subdirectory(es)
add_subdirectory(ro)
add_subdirectory(en_GB)
add_subdirectory(nds)
add_subdirectory(pl)
add_subdirectory(lt)
add_subdirectory(nb)
add_subdirectory(ko)
add_subdirectory(ca@valencia)
add_subdirectory(tr)
add_subdirectory(nl)
add_subdirectory(sv)
add_subdirectory(ja)
add_subdirectory(uk)
add_subdirectory(ru)
add_subdirectory(gl)
add_subdirectory(sk)
add_subdirectory(de)

=== skg_dashboard2/CMakeLists.txt ===
--- 
+++ 
@@ -4,21 +4,22 @@
 
 INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
 ${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
-${CMAKE_BINARY_DIR}/skgbasegui ${CMAKE_SOURCE_DIR}/skgdataengine
+${CMAKE_BINARY_DIR}/skgbasegui ${CMAKE_SOURCE_DIR}/skg_dataengine
 )
 
 LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})
 
-SET(skg_dashboard2_SRCS
-	skgdashboard2plugin.cpp
-	skgdashboard2pluginwidget.cpp
-	skgdashboard2applet.cpp)
+SET(skg_dashboard2_SRCS 
+    skroogoidloader.cpp
+    skgdashboard2plugin.cpp
+    skgdashboard2pluginwidget.cpp
+    skgdashboard2applet.cpp)
 
-kde4_add_ui_files(skg_dashboard2_SRCS skgdashboard2pluginwidget_base.ui skgdashboard2pluginwidget_pref.ui)
+kde4_add_ui_files(skg_dashboard2_SRCS skgdashboard2pluginwidget_base.ui skgdashboard2pluginwidget_pref.ui skroogoidloader.ui)
 kde4_add_kcfg_files(skg_dashboard2_SRCS skgdashboard2_settings.kcfgc )
 
 kde4_add_plugin(skg_dashboard2 ${skg_dashboard2_SRCS})
-TARGET_LINK_LIBRARIES(skg_dashboard2 ${KDE4_KPARTS_LIBS} ${KDE4_PLASMA_LIBS} skgbasemodeler skgbasegui)
+TARGET_LINK_LIBRARIES(skg_dashboard2 ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_PLASMA_LIBS} skgbasemodeler skgbasegui)
 
 ########### install files ###############
 INSTALL(TARGETS skg_dashboard2 DESTINATION ${PLUGIN_INSTALL_DIR})

=== skg_dataengine/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE DATAENGINE ::..")

PROJECT( skgdataengine )


INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler
)


LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skgdataengine_SRCS skgdataengine.cpp)


kde4_add_plugin(skgdataengine ${skgdataengine_SRCS})
TARGET_LINK_LIBRARIES(skgdataengine ${KDE4_KDECORE_LIBS} ${KDE4_PLASMA_LIBS} ${KDE4_KPARTS_LIBS} skgbasemodeler skgbankmodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skgdataengine DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgdataengine.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== skg_print/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_PRINT ::..")

PROJECT(plugin_print)


INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_print_SRCS
	skgprintplugin.cpp)


kde4_add_ui_files(skg_print_SRCS skgprintpluginwidget_pref.ui)
kde4_add_kcfg_files(skg_print_SRCS skgprint_settings.kcfgc )

kde4_add_plugin(skg_print ${skg_print_SRCS})
TARGET_LINK_LIBRARIES(skg_print ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skg_print DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-print.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_print.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_print )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgprint_settings.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )

kde4_install_icons(${ICON_INSTALL_DIR})

=== skg_properties/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_PROPERTIES ::..")

PROJECT(plugin_properties)


INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_properties_SRCS
	skgpropertiesplugin.cpp
	skgpropertiesplugindockwidget.cpp)

kde4_add_ui_files(skg_properties_SRCS skgpropertiesplugindockwidget_base.ui)

kde4_add_plugin(skg_properties ${skg_properties_SRCS})
TARGET_LINK_LIBRARIES(skg_properties ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skg_properties DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-properties.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_properties.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_properties )

kde4_install_icons(${ICON_INSTALL_DIR})

=== skg_selectall/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE PLUGIN_SELECTALL ::..")

PROJECT(plugin_selectall)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui
${CMAKE_BINARY_DIR}/skgbasegui
)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_selectall_SRCS
	skgselectallplugin.cpp
)


kde4_add_plugin(skg_selectall ${skg_selectall_SRCS})
TARGET_LINK_LIBRARIES(skg_selectall ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skg_selectall DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-selectall.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_selectall.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_selectall )

kde4_install_icons(${ICON_INSTALL_DIR})

=== skgapplets/CMakeLists.txt ===


=== skgbankgui/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 KDE4_ADD_LIBRARY(skgbankgui SHARED ${skgbankgui_SRCS})
 
 TARGET_LINK_LIBRARIES(skgbankgui ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} skgbankmodeler skgbasemodeler skgbasegui)
-SET_TARGET_PROPERTIES( skgbankgui PROPERTIES VERSION ${VERSION} SOVERSION ${SOVERSION} )
+SET_TARGET_PROPERTIES( skgbankgui PROPERTIES VERSION ${SKG_VERSION} SOVERSION ${SOVERSION} )
 
 ########### install files ###############
 INSTALL(TARGETS skgbankgui ${INSTALL_TARGETS_DEFAULT_ARGS}  )

=== skgbankmodeler/CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,12 @@
 ENDIF(LIBOFX_FOUND)
 #Correction bug 223848 ^^^^
 
+ADD_DEFINITIONS(${KDE4_ENABLE_EXCEPTIONS})
+
 SET(skgbankmodeler_SRCS
    skgbankobject.cpp
+   skgbudgetobject.cpp
+   skgbudgetruleobject.cpp
    skgaccountobject.cpp
    skgoperationobject.cpp
    skgrecurrentoperationobject.cpp
@@ -35,6 +39,8 @@
    skgimportskg.cpp
    skgimportkmy.cpp
    skgimportgnc.cpp
+   skgimportmmb.cpp
+   skgimportmt940.cpp
    skgimportgsb.cpp
    skgimportxhb.cpp
    skgruleobject.cpp
@@ -59,7 +65,7 @@
 IF(MSVC)
     TARGET_LINK_LIBRARIES(skgbankmodeler $ENV{KDEROOT}/lib/sp133.lib $ENV{KDEROOT}/lib/libiconv-2.lib)
 ENDIF(MSVC)
-SET_TARGET_PROPERTIES( skgbankmodeler PROPERTIES VERSION ${VERSION} SOVERSION ${SOVERSION} )
+SET_TARGET_PROPERTIES( skgbankmodeler PROPERTIES VERSION ${SKG_VERSION} SOVERSION ${SOVERSION} )
 
 ########### install files ###############
 INSTALL(TARGETS skgbankmodeler ${INSTALL_TARGETS_DEFAULT_ARGS})

=== skgbankmodelertest/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE SKGBANKMODELERTEST ::..")

PROJECT(SKGBANKMODELERTEST)

LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

INCLUDE_DIRECTORIES (${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasemodelertest ${CMAKE_SOURCE_DIR}/skgbankmodeler
${CMAKE_BUILD_DIR}/skgbasemodeler ${CMAKE_BUILD_DIR}/skgbasemodelertest ${CMAKE_SOURCE_DIR}/skgbankmodeler
)

#Make executables
ADD_EXECUTABLE(skgtestautoreconcile skgtestautoreconcile.cpp)
ADD_EXECUTABLE(skgtestbankandaccount skgtestbankandaccount.cpp)
ADD_EXECUTABLE(skgtestbudget skgtestbudget.cpp)
ADD_EXECUTABLE(skgtestbigdocument skgtestbigdocument.cpp)
ADD_EXECUTABLE(skgtestcategory skgtestcategory.cpp)
ADD_EXECUTABLE(skgtestdocparameter skgtestdocparameter.cpp)
ADD_EXECUTABLE(skgtestmigration skgtestmigration.cpp)
ADD_EXECUTABLE(skgtestobjects skgtestobjects.cpp)
ADD_EXECUTABLE(skgtestoperation skgtestoperation.cpp)
ADD_EXECUTABLE(skgtestrecurrent skgtestrecurrent.cpp)
ADD_EXECUTABLE(skgtestrefund skgtestrefund.cpp)
ADD_EXECUTABLE(skgtestpayee skgtestpayee.cpp)
ADD_EXECUTABLE(skgtestimportqif skgtestimportqif.cpp)
ADD_EXECUTABLE(skgtestimportgnucash skgtestimportgnucash.cpp)
ADD_EXECUTABLE(skgtestimportgsb skgtestimportgsb.cpp)
ADD_EXECUTABLE(skgtestimportkmy skgtestimportkmy.cpp)
ADD_EXECUTABLE(skgtestimportmmb skgtestimportmmb.cpp)
ADD_EXECUTABLE(skgtestimportmt940 skgtestimportmt940.cpp)
ADD_EXECUTABLE(skgtestimportskg skgtestimportskg.cpp)
ADD_EXECUTABLE(skgtestimportstockqif skgtestimportstockqif.cpp)
ADD_EXECUTABLE(skgtestimportcsv skgtestimportcsv.cpp)
ADD_EXECUTABLE(skgtestimportofx skgtestimportofx.cpp)
ADD_EXECUTABLE(skgtestimportcsvunit skgtestimportcsvunit.cpp)
ADD_EXECUTABLE(skgtestimportxhb skgtestimportxhb.cpp)
ADD_EXECUTABLE(skgtestinterest skgtestinterest.cpp)
ADD_EXECUTABLE(skgtestrule skgtestrule.cpp)
ADD_EXECUTABLE(skgtestunit skgtestunit.cpp)

TARGET_LINK_LIBRARIES(skgtestautoreconcile ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestbankandaccount ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestbudget ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestcategory ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestdocparameter ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestmigration ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestbigdocument ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestobjects ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestoperation ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestrecurrent ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestrefund ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestpayee ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportqif ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportgnucash ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportgsb ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportkmy ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportmmb ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportmt940 ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportskg ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportstockqif ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportcsv ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportofx ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportcsvunit ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestimportxhb ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestinterest ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestrule ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)
TARGET_LINK_LIBRARIES(skgtestunit ${QT_QTCORE_LIBRARY} skgbankmodeler skgbasemodeler)

#Add test
ENABLE_TESTING()
ADD_TEST(skgtestautoreconcile ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestautoreconcile.sh)
ADD_TEST(skgtestbankandaccount ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestbankandaccount.sh)
ADD_TEST(skgtestbudget ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestbudget.sh)
ADD_TEST(skgtestcategory ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestcategory.sh)
ADD_TEST(skgtestdocparameter ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestdocparameter.sh)
ADD_TEST(skgtestmigration ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestmigration.sh)
ADD_TEST(skgtestobjects ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestobjects.sh)
ADD_TEST(skgtestoperation ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestoperation.sh)
ADD_TEST(skgtestrecurrent ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestrecurrent.sh)
ADD_TEST(skgtestrefund ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestrefund.sh)
ADD_TEST(skgtestpayee ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestpayee.sh)
ADD_TEST(skgtestrule ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestrule.sh)
ADD_TEST(skgtestunit ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestunit.sh)

ADD_TEST(skgtestimportcsv ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportcsv.sh)
ADD_TEST(skgtestimportofx ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportofx.sh)
ADD_TEST(skgtestimportcsvunit ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportcsvunit.sh)
ADD_TEST(skgtestimportqif ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportqif.sh)
ADD_TEST(skgtestimportgnucash ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportgnucash.sh)
ADD_TEST(skgtestimportgsb ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportgsb.sh)
ADD_TEST(skgtestimportkmy ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportkmy.sh)
ADD_TEST(skgtestimportmmb ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportmmb.sh)
ADD_TEST(skgtestimportmt940 ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportmt940.sh)
ADD_TEST(skgtestimportskg ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportskg.sh)
ADD_TEST(skgtestimportstockqif ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportstockqif.sh)
ADD_TEST(skgtestimportxhb ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestimportxhb.sh)

ADD_TEST(skgtestinterest ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestinterest.sh)

ADD_TEST(skgtestbigdocument ${CMAKE_SOURCE_DIR}/tests/scripts/skgtestbigdocument.sh)

INCLUDE(CTest)

=== skgbasegui/CMakeLists.txt ===
MESSAGE( STATUS "..:: CMAKE SKGBASEGUI ::..")

PROJECT(SKGBASEGUI)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
${CMAKE_SOURCE_DIR}/skgbasemodeler
)
LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skgbasegui_SRCS
   skguniqueapplication.cpp
   skgmainpanel.cpp
   skgobjectmodelbase.cpp
   skgwidget.cpp
   skgtabwidgetdesignerplugin.cpp
   skgtabwidget.cpp
   skgtablewidgetdesignerplugin.cpp
   skgtablewidget.cpp
   skgtabpage.cpp
   skginterfaceplugin.cpp
   skgwidgetcollectiondesignerplugin.cpp
   skgtableviewdesignerplugin.cpp
   skgtableview.cpp
   skgfilteredtableviewdesignerplugin.cpp
   skgfilteredtableview.cpp
   skgtreeviewdesignerplugin.cpp
   skgtreeview.cpp
   skgcomboboxdesignerplugin.cpp
   skgcombobox.cpp
   skgcolorbuttondesignerplugin.cpp
   skgcolorbutton.cpp
   skgzoomselectordesignerplugin.cpp
   skgzoomselector.cpp
   skglineeditdesignerplugin.cpp
   skglineedit.cpp
   skgcalculatoreditdesignerplugin.cpp
   skgcalculatoredit.cpp
   skggraphicsviewdesignerplugin.cpp
   skggraphicsscene.cpp
   skggraphicsview.cpp
   skgtablewithgraphdesignerplugin.cpp
   skgtablewithgraph.cpp
   skgdateeditdesignerplugin.cpp
   skgdateedit.cpp
   kdateedit.cpp
   kdatepickerpopup.cpp
   kdatevalidator.cpp
   skgdatepickerpopup.cpp
   skgsortfilterproxymodel.cpp
   skgflowlayout.cpp
   skgwebview.cpp
   skgwebviewdesignerplugin.cpp
   skgshowdesignerplugin.cpp
   skgshow.cpp
 )

kde4_add_ui_files(skgbasegui_SRCS skgmainpanel_base.ui skgmainpanel_pref.ui skggraphicsview.ui skgtablewithgraph.ui skgcolorbutton.ui skgzoomselector.ui skgfilteredtableview.ui )

kde4_add_kcfg_files(skgbasegui_SRCS skgbasegui_settings.kcfgc )

KDE4_ADD_LIBRARY(skgbasegui SHARED ${skgbasegui_SRCS})

TARGET_LINK_LIBRARIES(skgbasegui ${KDE4_KPARTS_LIBS} ${QT_QTSCRIPT_LIBRARY} ${QT_QTWEBKIT_LIBRARY} skgbasemodeler)
SET_TARGET_PROPERTIES( skgbasegui PROPERTIES VERSION ${SKG_VERSION} SOVERSION ${SOVERSION} )

########### install files ###############
INSTALL(TARGETS skgbasegui ${INSTALL_TARGETS_DEFAULT_ARGS}  )
IF(WIN32)
INSTALL(TARGETS skgbasegui LIBRARY ARCHIVE DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )
ELSE(WIN32)
INSTALL(TARGETS skgbasegui LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )
ENDIF(WIN32)

INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgmainpanel.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skgbasegui_settings.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

kde4_install_icons(${ICON_INSTALL_DIR})

=== debian/changelog ===
skrooge (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control:
    - add libqca2-plugin-ossl dependency. (Closes: #598127)
    - add libqtwebkit-dev build dependency. (Closes: #618202)
  * Remove ftbfs_arm.patch - merged upstream.
  * Fix lintian warning: remove reference to BSD license.

 -- Fathi Boudra <fabo@debian.org>  Sun, 01 May 2011 20:28:52 +0300

skrooge (0.8.0.4-2) unstable; urgency=low

  * Add patch to fix build on ARM. (Closes: #615012)

 -- Fathi Boudra <fabo@debian.org>  Mon, 28 Feb 2011 15:45:07 +0200

skrooge (0.8.0.4-1) unstable; urgency=low

  * New upstream release.

  [ Scott Kitterman ]
  * Add debian/patches/01_arm_compile_fix.diff from Kubuntu to fix FTBFS on
    armel (Closes: #598966)

  [ Mark Purcell ]
  * Drop arm_compile_fix - included upstream

  [ Fathi Boudra ]
  * Update debian/skrooge-common.install file.

 -- Mark Purcell <msp@debian.org>  Sat, 29 Jan 2011 18:29:48 +1100

=== debian/control ===
Source: skrooge
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.9.0),
 kdelibs5-dev (>= 4:4.4.4), libofx-dev, libqca2-dev, libqtwebkit-dev,
 libsqlite3-dev, pkg-config, shared-mime-info
Standards-Version: 3.9.2
Homepage: http://skrooge.org/
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/skrooge/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/skrooge/?op=log

Package: skrooge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqca2-plugin-ossl, libqt4-sql-sqlite, skrooge-common (>= ${source:Version})
Description: personal finance manager for KDE
 Skrooge allows you to manage your personal finances. It is intended to be used
 by individuals who want to keep track of their incomes, expenses and
 investments. Its philosophy is to stay simple and intuitive.
 .
 Here is the list of Skrooge main features:
  * QIF, CSV, KMyMoney, Skrooge,  import/export
  * OFX, QFX, GnuCash, Grisbi, HomeBank import
  * Advanced Graphical Reports
  * Several tabs to help you organize your work
  * Infinite undo/redo
  * Instant filtering on operations and reports
  * Infinite categories levels
  * Mass update of operations
  * Scheduled operations
  * Track refund of your expenses
  * Automatically process operations based on search conditions
  * Multi currencies
  * Dashboard

Package: skrooge-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Skrooge architecture independent files
 Skrooge allows you to manage your personal finances. It is intended to be used
 by individuals who want to keep track of their incomes, expenses and
 investments. Its philosophy is to stay simple and intuitive.
 .
 This package contains architecture independent files needed for Skrooge to run
 properly. It also provides Skrooge documentation. Therefore, unless you
 have 'skrooge' package installed, you will hardly find this package useful.

## skrooge 0.9.0

=== debian/changelog ===
skrooge (0.9.0-1) unstable; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Update debian/control: add libqca2-plugin-ossl dependency.
    (Closes: #598127)

  [ Mark Purcell ]
  * Drop ftbfs_arm.patch - fixed upstream

 -- Mark Purcell <msp@debian.org>  Fri, 10 Jun 2011 22:56:44 +1000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.9.0),
- kdelibs5-dev (>= 4:4.4.4), libofx-dev, libqca2-dev, libqtwebkit-dev,
- libsqlite3-dev, pkg-config, shared-mime-info
-Standards-Version: 3.9.2
+ kdelibs5-dev (>= 4:4.4.4), libofx-dev, libqca2-dev, libsqlite3-dev,
+ pkg-config, shared-mime-info
+Standards-Version: 3.8.4
 Homepage: http://skrooge.org/
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/skrooge/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/skrooge/?op=log
